<?php
declare(strict_types = 1);

class_exists('DB') || die;

require_once(__DIR__ . '/classes/GalleryCategory.class.php');

Template::set('template',
[
	'file' => 'password.tpl.php',
]);

$r = GalleryCategory::password();
if ($r < 0)
{
	Gallery::error();
	return;
}
if ($r < 1)
{
	Gallery::notFound();
	return;
}
?>